Bug 1293560 - Provide a method to prepare bricks on atomic hosts for use by RHGS containers
Provide a method to prepare bricks on atomic hosts for use by RHGS containers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mohamed Ashiq
Anoop
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 01:59 EST by Shruti Sampat
Modified: 2016-10-21 02:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-21 02:16:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2015-12-22 01:59:16 EST
Description of problem:
------------------------
RHGS containers that run on atomic hosts need storage existing on the atomic hosts, bind mounted on the container to be used as bricks for gluster volumes. Users should be provided with an automated way of preparing these bricks.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
rhgs-server-rhel7:3.1.2-3

Actual results:
---------------
Currently, there is no automated way to create bricks on atomic hosts for use by RHGS containers.

Expected results:
-----------------
A tool/script that will prepare bricks on atomic hosts for use by RHGS containers.
Comment 6 Shruti Sampat 2016-01-04 05:23:19 EST
Adding back needinfo on Humble as it got removed.
Comment 10 Mohamed Ashiq 2016-10-21 02:18:33 EDT
This Bug is with respect to standalone rhgs container setup. AFAIK https://bugzilla.redhat.com/show_bug.cgi?id=1293560#c8 explains it all.

We can use gdeploy from any other system rather than atomic host and create bricks, volumes from gluster standalone container setup.
Comment 11 Humble Chirammal 2016-10-21 02:23:46 EDT
(In reply to Mohamed Ashiq from comment #10)
> This Bug is with respect to standalone rhgs container setup. AFAIK
> https://bugzilla.redhat.com/show_bug.cgi?id=1293560#c8 explains it all.
> 
> We can use gdeploy from any other system rather than atomic host and create
> bricks, volumes from gluster standalone container setup.

If we are still looking this as a standalone deployment, the preparation of the brick should be referred to the doc which explains how to prepare gluster bricks. If required we have to open a doc bug.

Note You need to log in before you can comment on or make changes to this bug.